Literacy Printables : I Have, Who Has?

Abobe Flash Required.

SEN Teacher's interactive printables require Adobe Flash version 11.4 or later or browsers such as Google Chrome. If Flash is not available to you example printouts are available beneath as PDF. If you're a Mac/OSX user and still seeing this message after installing the latest Flash player, please follow these instructions at Adobe to perform a clean installation of Flash.

Get Adobe Flash player

Create sets of loop cards (or 'follow me cards') from word lists in a variety of styles and sizes.

Load a word list or enter your own.

The I have Who has? captions can now be changed to allow multi-language use.

Add an idea for this particular printable or report a mistake on it.

These A4 downloads were created by printing to PDF in Google Chrome. Print directly from the tool above for higher quality printing up to and including A3 paper size.

© 1999-2016 SEN Teacher.
Most SEN Teacher Resources are provided under a Creative Commons License.